# Commentary Sever for PES 2021

Commentary switcher for Pro Evolution Soccer 2021, driven by map files.
Original idea by nesa24.

## Requirements

This module requires PES2021.exe 1.3.0 or newer, and sider 7.

## How to install

1. Copy `content` and `modules` folders into your sider.
1. Register the module in `sider.ini`:
  ```
  lua.module = "commentary-server.lua"
  ```

## How to use

For a language to be supported by Commentary Server, the language needs to be installed in the game.
Specifically, `dt41_<lang>_all.cpk` and `dt43_<lang>_all.cpk` CPKs for that language need to be present in game "Data" folder.
If you have an entry in either of the map files for some language, but you don't have that language installed in the game,
then during the match, commentary will fall back to the game system default language (typically, English).

There are 2 map files. Both are optional:
- Competitions map `<your-sider-dir>\content\commentary-server\map_competitions.txt`
- Teams map `<your-sider-dir>\content\commentary-server\map_teams.txt`

The format is simple:
`<tournament-id>, <commentary-prefix>` - for competitions map
`<team-id>, <commentary-prefix>`  - teams map

Competitions map has priority by default.
So the logic goes like this: first competitions map is consulted. If no entry exists for current tournament-id,
then the teams map is checked. If no entry there either, then whatever game chosen language
is active will be used in the match. You can choose how complex you want you assignements to be: only use teams,
or only use tournaments (competitions) or both.

Commentary prefix can be one of the 24 supported commentary languages:

| prefix | commentary language  |
|--------|----------------------|
| eng    | English              |
| fra    | French               |
| ger    | German               |
| ita    | Italian              |
| spa    | Spanish              |
| jpn    | Japanese             |
| kor    | Korean               |
| chi    | Traditional Chinese  |
| use    | US English           |
| pol    | Polish               |
| por    | Portuguese           |
| mex    | Mexican Spanish      |
| rus    | Russian              |
| gre    | Greek                |
| swe    | Swedish              |
| nld    | Dutch                |
| bra    | Brazilian Portuguese |
| tur    | Turkish              |
| zha    | Simplified Chinese   |
| ara    | Arabic               |
| ags    | Argentine Spanish    |
| chl    | Chilean Spanish      |
| man    | Mandarin Chinese     |
| can    | Cantonese Chinese    |



## Credits

Ideas, programming and game research by nesa24, juce, predator002.

(C) 2020-2024 nesa24, juce, predator002
